> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anchorbrowser.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Session Recording

> Deletes a specific recording from a browser session. Use "primary" as the recording_id to delete the primary recording.



## OpenAPI

````yaml /openapi.yaml delete /v1/sessions/{session_id}/recordings/{recording_id}
openapi: 3.1.0
info:
  title: AnchorBrowser API
  version: 1.0.0
  description: APIs to manage all browser-related actions and configuration.
servers:
  - url: https://api.anchorbrowser.io
    description: API server
security: []
paths:
  /v1/sessions/{session_id}/recordings/{recording_id}:
    delete:
      tags:
        - Session Recordings
      summary: Delete Session Recording
      description: >-
        Deletes a specific recording from a browser session. Use "primary" as
        the recording_id to delete the primary recording.
      parameters:
        - in: path
          name: session_id
          required: true
          description: The ID of the browser session the recording belongs to.
          schema:
            type: string
        - in: path
          name: recording_id
          required: true
          description: >-
            The ID of the recording to delete. Use "primary" to delete the
            primary recording.
          schema:
            type: string
      responses:
        '200':
          description: Recording deleted successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
        '400':
          description: Recording feature is disabled for this session.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Invalid API Key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Failed to delete recording.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - api_key_header: []
components:
  schemas:
    SuccessResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            status:
              type: string
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: integer
            message:
              type: string
  securitySchemes:
    api_key_header:
      type: apiKey
      in: header
      name: anchor-api-key
      description: API key passed in the header

````